<div>
    
    <button mat-raised-button style="background-color:#e2c231 ;"  routerLinkActive="list-item-active" routerLink="/default/addworksite">Conferma</button>
    <br> <br>
    

    <mat-form-field>
        <mat-label>Filter</mat-label>
        <input matInput placeholder="Filtra" (keyup)="applyFilter($event)">
    </mat-form-field>

    <table mat-table [dataSource]="dataSource" matSort>
        <ng-container matColumnDef="checked">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Select</th>
            <td mat-cell *matCellDef="let row">
                <mat-checkbox color="primary" [(ngModel)] = "row.checked"></mat-checkbox>
            </td>
        </ng-container>

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>NOME</th>
            <td mat-cell *matCellDef="let row">{{row.name}}</td>
        </ng-container>

        <ng-container matColumnDef="lastname">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>COGNOME</th>
            <td mat-cell *matCellDef="let row">{{row.lastname}}</td>
        </ng-container>

        <ng-container matColumnDef="mail">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>MAIL</th>
            <td mat-cell *matCellDef="let row">{{row.mail}}</td>
        </ng-container>

       

        <ng-container matColumnDef="type">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>TIPO</th>
            <td mat-cell *matCellDef="let row">{{row.type}}</td>
        </ng-container>


        <tr mat-header-row *matHeaderRowDef="columns"></tr>
        <tr mat-row *matRowDef="let row; columns: columns;"></tr>

    </table>

    <mat-paginator [length]="posts.length" [pageSize]="5" [pageSizeOptions]="[1, 5, 10, 25, 100]"
        aria-label="Select page">
    </mat-paginator>
    <br>
    <br>
</div>
